KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm config images pull - Pull images used by kubeadm

SYNOPSIS

kubeadm config images pull [OPTIONS]

DESCRIPTION

Pull images used by kubeadm

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are: ControlPlaneKubeletLocalMode=true|false (ALPHA - default=false) EtcdLearnerMode=true|false (BETA - default=true) PublicKeysECDSA=true|false (DEPRECATED - default=false) RootlessControlPlane=true|false (ALPHA - default=false) WaitForAllControlPlaneComponents=true|false (ALPHA - default=false)

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

OPTIONS INHERITED FROM PARENT COMMANDS

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-config-images(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!